@ECHO OFF

:Setup
SET RV=..\RV.EXE
SET SLEEP=.\SLEEP.EXE

:ChkFiles
IF EXIST %RV% GOTO CFChkSleep
SET RV=.\RV.EXE
IF EXIST %RV% GOTO CFChkSleep
GOTO ShowDosError
:CFChkSleep
IF EXIST %SLEEP% GOTO CFEndChk
SET SLEEP=..\SLEEP.EXE
IF EXIST %SLEEP% GOTO CFEndChk
GOTO ShowDosError
:CFEndChk

:ChkTmp
IF "%TMP%" == "" IF "%TEMP%" == "" GOTO ShowWinError
IF "%TMP%" == "" SET TMP=%TEMP%
IF "%TMP%" == "" GOTO ShowWinError
ECHO Test > %TMP%\RVTmp.rtf
IF NOT EXIST %TMP%\RVTmp.rtf GOTO ShowWinError
DEL %TMP%\RVTmp.rtf > NUL

:ShowIntro
REM ====================================================
%RV% DemoIntro.rtf
%SLEEP% 10
REM ----------------------------------------------------

:SetupMainWindows
COPY DemoMain.ini	%TMP%\DemoMain.ini	> NUL
COPY DemoIni.ini	%TMP%\DemoIni.ini	> NUL
COPY DemoBar.ini	%TMP%\DemoBar.ini	> NUL
COPY DemoEmpty.rtf	%TMP%\DemoMain.rtf	> NUL
COPY DemoEmpty.rtf	%TMP%\DemoIni.rtf	> NUL
ECHO    > %TMP%\DemoBar.txt

:OpenMainWindows
%RV% %TMP%\DemoMain.rtf
%RV% %TMP%\DemoIni.rtf
%RV% %TMP%\DemoBar.txt

:ShowPg01
REM ====================================================
COPY Demo01Main.rtf	%TMP%\DemoMain.rtf	> NUL
COPY Demo01Ini.rtf	%TMP%\DemoIni.rtf	> NUL
REM ----------------------------------------------------
REM ----------------------------------------------------
ECHO    > %TMP%\DemoBar.txt
%SLEEP% 25
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------

:ShowPg02
REM ====================================================
COPY Demo02Main.rtf	%TMP%\DemoMain.rtf	> NUL
COPY Demo02Ini.rtf	%TMP%\DemoIni.rtf	> NUL
REM ----------------------------------------------------
COPY Demo02Win1.rtf	%TMP%\DemoWin.rtf	> NUL
COPY Demo02Win1.ini	%TMP%\DemoWin.ini	> NUL
%RV% %TMP%\DemoWin.rtf
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------
%SLEEP% 25
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------

:ShowPg03
REM ====================================================
COPY Demo03Main.rtf	%TMP%\DemoMain.rtf	> NUL
COPY Demo03Ini.rtf	%TMP%\DemoIni.rtf	> NUL
REM ----------------------------------------------------
COPY Demo03Win1.rtf	%TMP%\DemoWin.rtf	> NUL
COPY Demo03Win1.ini	%TMP%\DemoWin.ini	> NUL
%RV% %TMP%\DemoWin.rtf
ECHO    > %TMP%\DemoBar.txt
%SLEEP% 20
COPY Demo03Win2.rtf	%TMP%\DemoWin.rtf	> NUL
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------
%SLEEP% 15
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------

:ShowPg04
REM ====================================================
COPY Demo04Main.rtf	%TMP%\DemoMain.rtf	> NUL
COPY Demo04Ini.rtf	%TMP%\DemoIni.rtf	> NUL
REM ----------------------------------------------------
%RV% Demo04Win1.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo04Win2.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo04Win3.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo04Win4.rtf
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------
%SLEEP% 25
ECHO    > %TMP%\DemoBar.txt
%SLEEP% 20
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------

:ShowPg05
REM ====================================================
COPY Demo05Main.rtf	%TMP%\DemoMain.rtf	> NUL
COPY Demo05Ini.rtf	%TMP%\DemoIni.rtf	> NUL
REM ----------------------------------------------------
%RV% Demo05Win1.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win2.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win3.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win4.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win5.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win6.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win7.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win8.rtf
ECHO    > %TMP%\DemoBar.txt
%RV% Demo05Win9.rtf
ECHO    > %TMP%\DemoBar.txt
COPY Demo05Win9.rtf	%TMP%\DemoWin.rtf	> NUL
COPY Demo05Win9b.ini	%TMP%\DemoWin.ini	> NUL
%RV% %TMP%\DemoWin.rtf
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------
%SLEEP% 30
ECHO    > %TMP%\DemoBar.txt
%SLEEP% 30
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------

:ShowEnd
REM ====================================================
COPY DemoEmpty.rtf	%TMP%\DemoMain.rtf	> NUL
COPY DemoEmpty.rtf	%TMP%\DemoIni.rtf	> NUL
REM ----------------------------------------------------
COPY DemoEnd.ini	%TMP%\DemoEnd.ini	> NUL
ECHO.> %TMP%\DemoEnd.txt
ECHO.>> %TMP%\DemoEnd.txt
ECHO.>> %TMP%\DemoEnd.txt
ECHO.>> %TMP%\DemoEnd.txt
ECHO.>> %TMP%\DemoEnd.txt
ECHO.>> %TMP%\DemoEnd.txt
ECHO.>> %TMP%\DemoEnd.txt
ECHO        That's all folks...>> %TMP%\DemoEnd.txt
%RV% %TMP%\DemoEnd.txt
ECHO    > %TMP%\DemoBar.txt
SET RV_LOOP=
:SELoop1
SET RV_LOOP=%RV_LOOP%X
ECHO.>> %TMP%\DemoEnd.txt
REM Slow a little...
FOR %%N IN (*.*) DO DIR *.INI /-P > NUL
IF NOT "%RV_LOOP%" == "XXXXXXXXXXXXX" GOTO SELoop1
ECHO               The End.>> %TMP%\DemoEnd.txt
SET RV_LOOP=
:SELoop2
SET RV_LOOP=%RV_LOOP%X
ECHO.>> %TMP%\DemoEnd.txt
REM Slow a little...
FOR %%N IN (*.*) DO DIR *.INI /-P > NUL
IF NOT "%RV_LOOP%" == "XXXXXX" GOTO SELoop2
SET RV_LOOP=
REM ----------------------------------------------------
ECHO    > %TMP%\DemoBar.txt
REM ----------------------------------------------------

:CloseMainWindows
REM ====================================================
DEL	%TMP%\DemoIni.rtf	> NUL
DEL	%TMP%\DemoIni.ini	> NUL
%SLEEP% 1
DEL	%TMP%\DemoMain.rtf	> NUL
DEL	%TMP%\DemoMain.ini	> NUL
%SLEEP% 1
DEL	%TMP%\DemoBar.txt	> NUL
DEL	%TMP%\DemoBar.ini	> NUL
%SLEEP% 2
DEL	%TMP%\DemoEnd.txt	> NUL
DEL	%TMP%\DemoEnd.ini	> NUL
REM ----------------------------------------------------
GOTO End

:ShowDosError
ECHO.
ECHO.
ECHO Demo.bat
ECHO.
ECHO Error: cannot find some of the following programs:
ECHO   %RV%
ECHO   %SLEEP%
ECHO Please check these conditions:
ECHO - all files and subdirectories have been correctly extracted from Zip
ECHO - the execution of this batch starts from the Demo directory
ECHO.
ECHO Program aborted.
ECHO.
ECHO.
PAUSE
GOTO End

:ShowWinError
%RV% DemoError.rtf
GOTO End

:End
IF EXIST %TMP%\DemoWin.rtf DEL %TMP%\DemoWin.rtf
IF EXIST %TMP%\DemoWin.ini DEL %TMP%\DemoWin.ini
SET RV=
SET SLEEP=
CLS
